EMU(4)

NAME
emu - Creative Labs SBLive!, PCI 512, and Audigy audio device

SYNOPSIS
emu* at pci?
audio* at emu?

DESCRIPTION
The emu device driver supports Creative Labs SoundBlaster Live!, Sound Blaster PCI 512, and SoundBlaster Audigy cards.

These Environmental Audio cards are based upon the programmable EMU10K1 digital-processing chip.

Hardware features:

•   E-mu Systems, Inc. EMU10K1 music synthesis engine

•   64-voice hardware polyphony with E-mu's patented 8-point interpolation technology

•   Up to 1024-voice polyphony with multi-timbre capability

•   Support for real-time digital effects like reverb, chorus, flanger, pitch shifter, or distortion across any audio source

•   User-selectable settings are optimized for headphones, two or four speakers

•   Processes sample rates from 5kHz to 48kHz

•   Creative Multi Speaker Surround (CMSS) places any mono or stereo sound source in a 360 degree audio space

•   Hardware full-duplex support enables simultaneous record and playback at 8 standard sample rates

•   Allows multiple audio sources playback on the same speaker system

SEE ALSO
ac97(4), audio(4), intro(4), joy(4), pci(4)

HISTORY
The emu device driver appeared in OpenBSD 3.1.

AUTHORS
-nosplit The emu driver was written by Yannick Montulet <yannick.montulet@epitech.net> and ported to OpenBSD 3.1 by Michael Shalayeff <mickey@openbsd.org>.

CAVEATS
ATTENTION!

The hardware interface of this card contains registers not used for normal operation, but potentially dangerous and not possible to disable. Potential damage ranges from frying the card to frying motherboard or external equipment connected to its outputs.

BUGS
Currently this driver does not support MIDI, joystick input, or the multi-voice capability.

There is currently no way to control the volume of the DAC for SoundBlaster Audigy cards.

S-PDIF digital output does not work for SoundBlaster Live! and SoundBlaster Audigy cards.